Get My Api Collections
GET /obp/v7.0.0/my/api-collections
OBPv4.0.0-getMyApiCollections No role required Api-Collection
Get all the apiCollections for logged in user.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
1 limit (for pagination: defaults to 50) eg:limit=200
2 offset (for pagination: zero index, defaults to 0) eg: offset=10
JSON response body fields (6)
- api_collection_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- api_collection_name
- Favourites
- api_collections
- api_collections
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- is_sharable
- is_sharable
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example success response
{
"api_collections": [
{
"api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"api_collection_name": "Favourites",
"is_sharable": true,
"description": "Description of the object. Maximum length is 2000. It can be any characters here."
}
]
}Possible errors (2)
- OBP-20001: User not logged in. Authentication is required!
- OBP-50000: Unknown Error.